Skip to main content
GET
Get a pronunciation dictionary

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

dictionary_id
string
required

Response

Request fulfilled, document follows

A pronunciation dictionary owned by the caller's team.

id
string
required

Stable dictionary identifier.

Example:

"9b2f5c0d4e6a4f4c8a1d3e5f7a9b0c2d"

name
string
required

Display name for the dictionary.

Example:

"Product names"

description
string
required

Free-form description shown in the web app.

Example:

"Brand and product pronunciations for support scripts."

created_at
string<date-time>
required

Creation time (UTC).

Example:

"2026-11-05T03:21:09Z"

updated_at
string<date-time>
required

Last content or metadata update time (UTC).

Example:

"2026-11-05T04:02:44Z"

latest_version_id
string | null

Identifier of the latest published version, or null when the dictionary has never been published.

Example:

"1c3e5a7b9d0f4a2c8e6b4d1f3a5c7e9b"

item_count
integer
default:0

Number of rules in the latest published version.

Example:

12

preview_voice_id
string | null

Voice model last used by the dictionary's preview player, or null when it was never previewed.

Example:

"b1a2c3d4e5f60718293a4b5c6d7e8f90"

preview_model
string | null

TTS model last used by the dictionary's preview player, or null when it was never previewed.

Example:

"s2-pro"